import styled from 'styled-components';

const size: Record<string, string> = {
  textfield: `
    width: 150px;
    height: 50px;
  `,
  checkbox: `
    width: 50px;
    height: 50px;
  `,
  radio: `
    border-radius: 100%;
    width: 50px;
    height: 50px;
  `,
};

export const Zone = styled.div<{
  appearance: ToolType | FormType | '';
}>`
  position: fixed;
  background-color: rgba(88, 106, 242, 0.4);
  width: 0;
  height: 0;
  border-radius: 8px;
  z-index: 99999;

  ${(props) => size[props.appearance]}

  p {
    font-size: 1rem;
    color: rgb(88, 106, 242);
    opacity: 0.6;
    margin: auto;
    margin-top: 50px;
    text-align: center;
  }
`;

export default Zone;
