import React from 'react';

import Modal from '../Modal';

import { Wrapper } from './styled';

type Props = {
  children: React.ReactNode;
  open: boolean;
};

const Dialog: React.FC<Props> = ({ children, open }: Props) =>
  open ? (
    <Modal>
      <Wrapper>{children}</Wrapper>
    </Modal>
  ) : null;

export default Dialog;
