// eslint-disable-next-line @typescript-eslint/no-unused-vars
import Close from '../../public/icons/close.svg';
import DownArrow from '../../public/icons/arrow00.svg';
import Edit from '../../public/icons/navbar/rename00.svg';
import EditActive from '../../public/icons/navbar/rename01.svg';
import Search from '../../public/icons/navbar/Search00.svg';
import SearchActive from '../../public/icons/navbar/Search01.svg';
import Annotation from '../../public/icons/navbar/MyAnnotation00.svg';
import AnnotationActive from '../../public/icons/navbar/MyAnnotation01.svg';
import Thumbnail from '../../public/icons/navbar/Thumbnail00.svg';
import ThumbnailActive from '../../public/icons/navbar/Thumbnail01.svg';
import Print from '../../public/icons/navbar/Print00.svg';
import PrintActive from '../../public/icons/navbar/Print01.svg';
import Export from '../../public/icons/navbar/Export00.svg';
import ExportActive from '../../public/icons/navbar/Export01.svg';
import ZoomIn from '../../public/icons/toolbar/zoom00.svg';
import ZoomInActive from '../../public/icons/toolbar/zoom01.svg';
import ZoomOut from '../../public/icons/toolbar/zoomOut00.svg';
import ZoomOutActive from '../../public/icons/toolbar/zoomOut01.svg';
import Hand from '../../public/icons/toolbar/hand00.svg';
import HandActive from '../../public/icons/toolbar/hand01.svg';
import RotateLeft from '../../public/icons/toolbar/RotateLeft00.svg';
import RotateLeftActive from '../../public/icons/toolbar/RotateLeft01.svg';
import RotateRight from '../../public/icons/toolbar/RotateRight00.svg';
import RotateRightActive from '../../public/icons/toolbar/RotateRight01.svg';
import MarkupTools from '../../public/icons/sidebar/Markuptools00.svg';
import Highlight from '../../public/icons/sidebar/Highlight.svg';
import Freehand from '../../public/icons/sidebar/Freehand.svg';
import Markpen from '../../public/icons/sidebar/markpen.svg';
import Text from '../../public/icons/sidebar/Text.svg';
import StickyNote1 from '../../public/icons/sidebar/StickyNote.svg';
import StickyNote2 from '../../public/icons/annotation/StickyNote02.svg';
import Shape from '../../public/icons/sidebar/Shape.svg';
import CreateForm from '../../public/icons/sidebar/CreatForm00.svg';
import AddImage from '../../public/icons/sidebar/AddImage00.svg';
import Watermark from '../../public/icons/sidebar/Watermark00.svg';
import Underline from '../../public/icons/sidebar/Underline.svg';
import Squiggly from '../../public/icons/sidebar/Squiggly.svg';
import Strikeout from '../../public/icons/sidebar/Strikeout.svg';
import ColorPicker from '../../public/icons/sidebar/Colorpicker.svg';
import Eraser from '../../public/icons/sidebar/eraser00.svg';
import EraserActive from '../../public/icons/sidebar/eraser01.svg';
import Undo from '../../public/icons/sidebar/undo.svg';
import Redo from '../../public/icons/sidebar/redo.svg';
import Bold from '../../public/icons/sidebar/Bold00.svg';
import BoldActive from '../../public/icons/sidebar/Bold01.svg';
import Italic from '../../public/icons/sidebar/Italic00.svg';
import ItalicActive from '../../public/icons/sidebar/Italic01.svg';
import AlignCenter from '../../public/icons/sidebar/Aligncenter00.svg';
import AlignCenterActive from '../../public/icons/sidebar/Aligncenter01.svg';
import AlignLeft from '../../public/icons/sidebar/Alignleft00.svg';
import AlignLeftActive from '../../public/icons/sidebar/Alignleft01.svg';
import AlignRight from '../../public/icons/sidebar/Alignright00.svg';
import AlignRightActive from '../../public/icons/sidebar/Alignright01.svg';
import Circle from '../../public/icons/sidebar/Circle.svg';
import Square from '../../public/icons/sidebar/Rectangle.svg';
import Line from '../../public/icons/sidebar/Line.svg';
import Arrow from '../../public/icons/sidebar/Arrow.svg';
import Border from '../../public/icons/sidebar/Border.svg';
import Fill from '../../public/icons/sidebar/Fill.svg';
import TextField from '../../public/icons/sidebar/Textfiled.svg';
import Checkbox from '../../public/icons/sidebar/checkBox.svg';
import RadioButton from '../../public/icons/sidebar/radiobutton.svg';
import LeftBack from '../../public/icons/sidebar/LeftBack.svg';
import RightBack from '../../public/icons/sidebar/RightBack.svg';
import Sort from '../../public/icons/annotation/sort.svg';
import Import from '../../public/icons/annotation/import.svg';
import AnnotationExport from '../../public/icons/annotation/Export.svg';
import ToolOpen from '../../public/icons/btn_ToolsOpen.svg';
import ToolClose from '../../public/icons/btn_ToolsClose.svg';
import Trash from '../../public/icons/selector/delete00.svg';
import Trash2 from '../../public/icons/selector/scale_delete.svg';
import RightArrow from '../../public/icons/right-arrow.svg';
import Clear from '../../public/icons/sidebar/clear.svg';
import None from '../../public/icons/sidebar/None.svg';
import Dropdown from '../../public/icons/sidebar/Dropdown00.svg';

const data: Record<string, { Normal: string; Hover?: string }> = {
  close: {
    Normal: Close,
  },
  'down-arrow': {
    Normal: DownArrow,
  },
  edit: {
    Normal: Edit,
    Hover: EditActive,
  },
  search: {
    Normal: Search,
    Hover: SearchActive,
  },
  annotations: {
    Normal: Annotation,
    Hover: AnnotationActive,
  },
  thumbnails: {
    Normal: Thumbnail,
    Hover: ThumbnailActive,
  },
  print: {
    Normal: Print,
    Hover: PrintActive,
  },
  export: {
    Normal: Export,
    Hover: ExportActive,
  },
  'zoom-in': {
    Normal: ZoomIn,
    Hover: ZoomInActive,
  },
  'zoom-out': {
    Normal: ZoomOut,
    Hover: ZoomOutActive,
  },
  hand: {
    Normal: Hand,
    Hover: HandActive,
  },
  'rotate-left': {
    Normal: RotateLeft,
    Hover: RotateLeftActive,
  },
  'rotate-right': {
    Normal: RotateRight,
    Hover: RotateRightActive,
  },
  'markup-tools': {
    Normal: MarkupTools,
  },
  highlight: {
    Normal: Highlight,
  },
  freehand: {
    Normal: Freehand,
  },
  text: {
    Normal: Text,
  },
  'sticky-note': {
    Normal: StickyNote1,
  },
  'sticky-note-2': {
    Normal: StickyNote2,
  },
  shape: {
    Normal: Shape,
  },
  'create-form': {
    Normal: CreateForm,
  },
  'add-image': {
    Normal: AddImage,
  },
  watermark: {
    Normal: Watermark,
  },
  underline: {
    Normal: Underline,
  },
  squiggly: {
    Normal: Squiggly,
  },
  strikeout: {
    Normal: Strikeout,
  },
  'color-picker': {
    Normal: ColorPicker,
  },
  markpen: {
    Normal: Markpen,
  },
  eraser: {
    Normal: Eraser,
    Hover: EraserActive,
  },
  undo: {
    Normal: Undo,
  },
  redo: {
    Normal: Redo,
  },
  bold: {
    Normal: Bold,
    Hover: BoldActive,
  },
  italic: {
    Normal: Italic,
    Hover: ItalicActive,
  },
  'align-center': {
    Normal: AlignCenter,
    Hover: AlignCenterActive,
  },
  'align-left': {
    Normal: AlignLeft,
    Hover: AlignLeftActive,
  },
  'align-right': {
    Normal: AlignRight,
    Hover: AlignRightActive,
  },
  circle: {
    Normal: Circle,
  },
  square: {
    Normal: Square,
  },
  line: {
    Normal: Line,
  },
  arrow: {
    Normal: Arrow,
  },
  border: {
    Normal: Border,
  },
  fill: {
    Normal: Fill,
  },
  textfield: {
    Normal: TextField,
  },
  checkbox: {
    Normal: Checkbox,
  },
  'radio-button': {
    Normal: RadioButton,
  },
  'right-back': {
    Normal: RightBack,
  },
  'left-back': {
    Normal: LeftBack,
  },
  sort: {
    Normal: Sort,
  },
  import: {
    Normal: Import,
  },
  'annotation-export': {
    Normal: AnnotationExport,
  },
  'tool-open': {
    Normal: ToolOpen,
  },
  'tool-close': {
    Normal: ToolClose,
  },
  trash: {
    Normal: Trash,
  },
  'trash-2': {
    Normal: Trash2,
  },
  'right-arrow': {
    Normal: RightArrow,
  },
  clear: {
    Normal: Clear,
  },
  none: {
    Normal: None,
  },
  'dropdown-arrow': {
    Normal: Dropdown,
  },
};

export default data;
