import styled, { css } from 'styled-components';

export const Container = styled.div`
  display: inline-flex;
  align-items: center;
`;

export const Text = styled.span`
  font-size: 1rem;
  margin: 8px;
`;

export const Input = styled.input`
  background-color: ${({ theme }) => theme.colors['light-gray']};
  outline: none;
  border: none;
  width: 70px;
  height: 30px;
  text-align: center;
  box-sizing: border-box;
  padding: 5px;
`;

export const ArrowButton = styled('button')<{ variant: string }>`
  height: 30px;
  width: 26px;
  outline: none;
  border: none;
  background-color: ${({ theme }) => theme.colors['light-gray']};
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  ${(props) =>
    props.variant === 'left'
      ? css`
          border-top-left-radius: 4px;
          border-bottom-left-radius: 4px;
          margin-right: 1px;
          :after {
            content: '';
            top: 0;
            bottom: 0;
            margin: auto;
            width: 0;
            height: 0;
            border-top: 5px solid transparent;
            border-bottom: 5px solid transparent;
            border-right: 5px solid #000000;
            position: absolute;
            transform-origin: 50%;
          }
          :hover:after {
            border-right: 5px solid ${({ theme }) => theme.colors.black38};
          }
        `
      : css`
          border-top-right-radius: 4px;
          border-bottom-right-radius: 4px;
          margin-left: 1px;
          :after {
            content: '';
            top: 0;
            bottom: 0;
            margin: auto;
            width: 0;
            height: 0;
            border-top: 5px solid transparent;
            border-bottom: 5px solid transparent;
            border-left: 5px solid #000000;
            position: absolute;
          }
          :hover:after {
            border-left: 5px solid ${({ theme }) => theme.colors.black38};
          }
        `}
`;
